> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Warrant Information By Warrant Id

> Returns a flattened admin view of one warrant: terms, flags, dates, active tags, config name and investor.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-warrant-information-by-warrant-id
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-warrant-information-by-warrant-id:
    get:
      operationId: getWarrantInformationByWarrantId
      summary: Get Warrant Information By Warrant Id
      description: >-
        Returns a flattened admin view of one warrant: terms, flags, dates,
        active tags, config name and investor.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: warrantID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWarrantInformationByWarrantIdResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetWarrantInformationByWarrantIdResponse:
      type: object
      properties:
        warrantID:
          type: string
          pattern: >-
            ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
        warrantName:
          type: string
        warrantAmount:
          type: number
        warrantStatus:
          type: string
          enum:
            - AGREEMENT_SENT
            - AGREEMENT_SIGNED
            - DRAFT
            - EXERCISE_ELIGIBLE
            - EXERCISE_NOTICE_SENT
            - EXERCISE_NOTICE_SIGNED
            - IN_LOCKUP
            - PAID
            - PENDING_PAYMENT_VERIFICATION
            - PENDING_SETTLEMENT
            - SETTLED
        warrantConfigurationName:
          type: string
        purchasePrice:
          type:
            - number
            - 'null'
        lockupPeriodMonths:
          type:
            - integer
            - 'null'
        totalValue:
          type:
            - number
            - 'null'
        firmName:
          type:
            - string
            - 'null'
        lockupFrequencyType:
          type: string
          enum:
            - CUSTOM
            - DAILY
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - WEEKLY
            - YEARLY
        investorFullName:
          type: string
        tags:
          type: array
          items:
            type: string
        investorEntityID:
          type:
            - string
            - 'null'
          pattern: >-
            ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
        agreementSignedAt:
          type:
            - string
            - 'null'
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        exerciseNoticeSignedAt:
          type:
            - string
            - 'null'
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        paidAt:
          type:
            - string
            - 'null'
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        settledAt:
          type:
            - string
            - 'null'
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        warrantDescription:
          type:
            - string
            - 'null'
        issueDate:
          type: string
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        expirationDate:
          type:
            - string
            - 'null'
          pattern: >-
            ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$
        roleInOrgID:
          type: string
          pattern: >-
            ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
        isExercised:
          type:
            - boolean
            - 'null'
        isOffPlatform:
          type:
            - boolean
            - 'null'
        isPaid:
          type:
            - boolean
            - 'null'
        isSigned:
          type:
            - boolean
            - 'null'
        isUnderLockup:
          type:
            - boolean
            - 'null'
      required:
        - warrantID
        - warrantName
        - warrantAmount
        - warrantStatus
        - warrantConfigurationName
        - purchasePrice
        - lockupPeriodMonths
        - totalValue
        - firmName
        - lockupFrequencyType
        - investorFullName
        - tags
        - investorEntityID
        - agreementSignedAt
        - exerciseNoticeSignedAt
        - paidAt
        - settledAt
        - warrantDescription
        - issueDate
        - expirationDate
        - roleInOrgID
        - isExercised
        - isOffPlatform
        - isPaid
        - isSigned
        - isUnderLockup
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
